/*
 *  Copyright (c) 2020, 2021 Microsoft Corporation
 *
 *  This program and the accompanying materials are made available under the
 *  terms of the Apache License, Version 2.0 which is available at
 *  https://www.apache.org/licenses/LICENSE-2.0
 *
 *  SPDX-License-Identifier: Apache-2.0
 *
 *  Contributors:
 *       Microsoft Corporation - initial API and implementation
 *       Fraunhofer Institute for Software and Systems Engineering - added dependencies
 *
 */

plugins {
    `java-library`
    id("application")
    id("com.github.johnrengelman.shadow") version "7.1.0"
}

dependencies {
    implementation(libs.edc.boot)
    implementation(libs.edc.connector.core)

    implementation(libs.edc.http)

    implementation(libs.jakarta.rsApi)
    implementation(libs.edc.configuration.filesystem)
    implementation("com.github.tbouron:spdx-license-checker:1.0.0")
    implementation("net.sf.py4j:py4j:0.10.9.1")

}


application {
    mainClass.set("org.eclipse.edc.boot.system.runtime.BaseRuntime")
}

tasks.withType<com.github.jengelman.gradle.plugins.shadow.tasks.ShadowJar> {
    exclude("**/pom.properties", "**/pom.xm")
    mergeServiceFiles()
    archiveFileName.set("fair-evaluator.jar")
}